Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.util
Interface ExternalResourceReleasable

All Known Subinterfaces:
  ChannelFactory, ClientSocketChannelFactory, DatagramChannelFactory, FileRegion, LocalClientChannelFactory, LocalServerChannelFactory, ServerChannelFactory, ServerSocketChannelFactory

All Known Implementing Classes:
  Bootstrap, ClientBootstrap, ConnectionlessBootstrap, DefaultFileRegion, DefaultLocalClientChannelFactory, DefaultLocalServerChannelFactory, ExecutionHandler, HttpTunnelingClientSocketChannelFactory, IdleStateHandler, NioClientSocketChannelFactory, NioDatagramChannelFactory, NioServerSocketChannelFactory, OioClientSocketChannelFactory, OioDatagramChannelFactory, OioServerSocketChannelFactory, ReadTimeoutHandler, ServerBootstrap, WriteTimeoutHandler

    public interface ExternalResourceReleasable

A common interface for a class which depends on external resources that need explicit release or shutdown.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`void` | `releaseExternalResources()` Releases the external resources that this object depends on.

Method Detail

### releaseExternalResources

    void releaseExternalResources()

  Releases the external resources that this object depends on. You should not call this method if the external resources (e.g. thread pool) are in use by other objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.